import React from 'react';
import { Meta } from '@storybook/react';
import { App } from './App';
import { Provider } from 'react-redux';
import { store } from '@graphpolaris/shared/lib/data-access/store';
import { Route, BrowserRouter as Router, Routes } from 'react-router-dom';

export default {
  component: App,
  title: 'App',
  decorators: [
    // using the real store here
    (story: any) => (
      <Provider store={store}>
        <Router>
          <Routes>
            <Route path="/" element={story()}></Route>
          </Routes>
        </Router>
      </Provider>
    ),
  ],
} as Meta<typeof App>;

export const Primary = {
  args: {},
};
